Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg	(revision 124)
@@ -32,25 +32,25 @@
     <parameter name="nb_general_register"                   value="64"/>
     <parameter name="nb_special_register"                   value="16" />
-    <parameter name="nb_reg_free"                           value="1" />
-    <parameter name="nb_rename_unit_bank"                   value="1" />
+    <parameter name="nb_reg_free"                           value="2" />
+    <parameter name="nb_rename_unit_bank"                   value="2" />
   </rename_bloc>                                            
                                                             
   <read_bloc id="0,1,2">                                        
-    <parameter name="size_read_queue"                       value="4" />
+    <parameter name="size_read_queue"                       value="2" />
     <parameter name="size_reservation_station"              value="4" />
-    <parameter name="nb_inst_retire_reservation_station"    value="4" />
+    <parameter name="nb_inst_retire_reservation_station"    value="2" />
   </read_bloc>                                              
                                                             
   <write_bloc id="0,1,2">                                       
     <parameter name="size_write_queue"                      value="4" />
-    <parameter name="size_execute_queue"                    value="4" />
-    <parameter name="nb_bypass_write"                       value="0" />
+    <parameter name="size_execute_queue"                    value="2" />
+    <parameter name="nb_bypass_write"                       value="1" />
     <parameter name="write_queue_scheme"                    value="1" />
   </write_bloc>                                             
                                                             
   <load_store_unit id="0">                                  
-    <parameter name="size_store_queue"                      value="8" />
+    <parameter name="size_store_queue"                      value="4" />
     <parameter name="size_load_queue"                       value="8" />
-    <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="size_speculative_access_queue"         value="2" />
     <parameter name="nb_port_check"                         value="1" />
     <parameter name="speculative_load"                      value="2" />
@@ -98,5 +98,25 @@
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="2" />
+    <parameter name="dir_predictor_scheme"                  value="4" />
+
+
+    <predictor id="0">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="2"  />
+      <parameter name="dir_pht_nb_counter"                  value="256"/>
+      <parameter name="dir_pht_size_address_share"          value="0"  />
+    </predictor>                                            
+                                                            
+    <predictor id="1">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="0" />
+    </predictor>                                            
+                                                            
+    <predictor id="2">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="0" />
+    </predictor>
+
   </front_end>
 
@@ -126,8 +146,8 @@
     <parameter name="nb_read_unit"                          value="3" />
     <parameter name="nb_write_unit"                         value="3" />
-    <parameter name="nb_gpr_bank"                           value="2" />
+    <parameter name="nb_gpr_bank"                           value="4" />
     <parameter name="nb_gpr_port_read_by_bank"              value="2" />
     <parameter name="nb_gpr_port_write_by_bank"             value="1" />
-    <parameter name="nb_spr_bank"                           value="2" />
+    <parameter name="nb_spr_bank"                           value="4" />
     <parameter name="nb_spr_port_read_by_bank"              value="1" />
     <parameter name="nb_spr_port_write_by_bank"             value="1" />
